Trap command problem


 
Thread Tools Search this Thread
Top Forums Shell Programming and Scripting Trap command problem
# 1  
Old 06-06-2005
Trap command problem

I am having a unix script which in turns calls another unix script.
Both are creating some temp files in /tmp which are supposed to be deleted after the end of each run

In the child script if I have statement like

trap "rm -f $messagefile" EXIT

A similar statement is there in parent script.


In case of error, although the trap command in child script is working fine but the trap command in parent script is not working.

Is there anyway through which I can return some signal/error exit code from child script's trap statement so that parent works.
# 2  
Old 06-06-2005
Provide at least the shell of the code you are using.
# 3  
Old 06-06-2005
Quote:
Originally Posted by kduffin
Provide at least the shell of the code you are using.
I am using bash shell
# 4  
Old 06-06-2005
Using the process ID of the parent, send kill -0 SIGNAL to the parent. Trap the signal in your handler. You will have to pass the value of the PID from parent to child when the child process is started.
Login or Register to Ask a Question

Previous Thread | Next Thread

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

trap command

dear all; I can't under stand what does "trap" command do: for example see below: trap "echo; echo no interrupts >&2; sleep 3" 2 3 15 Plz , can any body explain the action of this command? BR (3 Replies)
Discussion started by: ahmad.diab
3 Replies

2. UNIX for Dummies Questions & Answers

trap command

I'm learning about the trap command from my bash book. I tried out the little script they gave: trap "echo 'You hit control-C!' " INT while true; do sleep 60 done But when I type control-c, the script just stops and the message is not displayed. I checked stty all and saw that control-c... (11 Replies)
Discussion started by: Straitsfan
11 Replies

3. UNIX for Advanced & Expert Users

trap command

Hello experts! I need to know the use of trap command please In one of our program we have trap "rm -f temp1 ; exit 1" 1 2 15 0 and program always exit with 1 there is a rm -f temp1 as well at the end of the program as rm -f temp1 exit 0 when I test a probram with set... (4 Replies)
Discussion started by: ramshree01
4 Replies

4. Shell Programming and Scripting

trap CTRL-C problem

I am trying to trap CTRL-C, now the program I call has it's own exit message, I think this is the problem .. This is what I have now : function dothis { echo 'you hit control-c' exit } function settrap { trap dothis SIGINT } settrap until false; do ./ITGRecv.exe doneDoing this I... (2 Replies)
Discussion started by: Pmarcoen
2 Replies

5. Shell Programming and Scripting

Trap Command Problem

Hi All , Could you please help me in resolving the below problem. I have 2 Script file say Scrip1.sh Script2.sh. Initially Script1.sh is started executed and inside the script1 , SIGINT is trapped to a separate cleanup process and exit. While Script1.sh is started executing ,... (1 Reply)
Discussion started by: sundar_ranga
1 Replies

6. Shell Programming and Scripting

Bash Trap Problem?

Hey all, I'm a fairly new shell scripter (been writing some very basic stuff for a couple of years once in a blue moon). I have the need to start 2 or 3 processes from within a bash script when it's run then have the script kind of hang out and wait for the user to ctrl+c and when that happens... (3 Replies)
Discussion started by: jsabino
3 Replies

7. Shell Programming and Scripting

Cntl+z Trap is not detecting ??? Help required to add a trap detection ???

Hi folks, I have tried to add some trap detection in the below script....this script is used to monitor database activities...in a rather awkward way :rolleyes:.... The idea behind adding trap is that....this script creates lots of temporary files in the running folder to store the count... (1 Reply)
Discussion started by: frozensmilz
1 Replies

8. Shell Programming and Scripting

Use of TRAP Command

Hi, I would like to know the use of TRAP command. I am very new to the UNIX environment. I have just started learning the basic. So please teach me in a very simple way to understand. Also i would like to know the use of following command: trap 'dialog --msgbox "Script Aborted1" 6 50 ;... (2 Replies)
Discussion started by: Deepakh
2 Replies

9. UNIX for Dummies Questions & Answers

trap command

Dear All could you please explain me what does the trap command do and how I can write a program which can work as a trap command(in C Language). (1 Reply)
Discussion started by: mobile01
1 Replies

10. UNIX for Dummies Questions & Answers

trap command

i have the following script that displays the current time until the user presses CTR + c.... but it does not work properly.... Something is not right with the trap command... Help plz... :confused: # script to continuously display current time. # if script is terminated trap signal... (3 Replies)
Discussion started by: onlyc
3 Replies
Login or Register to Ask a Question